aboutsummaryrefslogtreecommitdiff
path: root/tests/t0010-validate-html.sh
diff refs
from: back
to: back
| flip
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t0010-validate-html.sh')
-rwxr-xr-xtests/t0010-validate-html.sh30
1 files changed, 12 insertions, 18 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index ca08d69..94aa52b 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -1,6 +1,5 @@
#!/bin/sh
-test_description='Validate html with tidy'
. ./setup.sh
@@ -8,9 +7,9 @@ test_url()
{
tidy_opt="-eq"
test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
- cgit_url "$1" >tidy-$test_count.tmp || return
- sed -e "1,4d" tidy-$test_count.tmp >tidy-$test_count || return
- "$tidy" $tidy_opt tidy-$test_count
+ cgit_url "$1" >trash/tidy-$test_count || return
+ sed -ie "1,4d" trash/tidy-$test_count || return
+ tidy $tidy_opt trash/tidy-$test_count
rc=$?
# tidy returns with exitcode 1 on warnings, 2 on error
@@ -22,19 +21,14 @@ test_url()
fi
}
-tidy=`which tidy 2>/dev/null`
-test -n "$tidy" || {
- skip_all='Skipping html validation tests: tidy not found'
- test_done
- exit
-}
+prepare_tests 'Validate html with tidy'
-test_expect_success 'index page' 'test_url ""'
-test_expect_success 'foo' 'test_url "foo"'
-test_expect_success 'foo/log' 'test_url "foo/log"'
-test_expect_success 'foo/tree' 'test_url "foo/tree"'
-test_expect_success 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
-test_expect_success 'foo/commit' 'test_url "foo/commit"'
-test_expect_success 'foo/diff' 'test_url "foo/diff"'
+run_test 'index page' 'test_url ""'
+run_test 'foo' 'test_url "foo"'
+run_test 'foo/log' 'test_url "foo/log"'
+run_test 'foo/tree' 'test_url "foo/tree"'
+run_test 'foo/tree/file-1' 'test_url "foo/tree/file-1"'
+run_test 'foo/commit' 'test_url "foo/commit"'
+run_test 'foo/diff' 'test_url "foo/diff"'
-test_done
+tests_done